import request from '@/config/axios'

// 获取收货地址列表
export const getMallUserAddressList = async () => {
  return request.get({
    url: '/app-api/member/address/list'
  })
}

// 删除收货地址
export const deleteMallUserAddress = async (id) => {
  return request.delete({
    url: '/app-api/member/address/delete',
    params: {
      id
    }
  })
}

// 创建收货地址
export const createMallUserAddress = async (data) => {
  return request.post({
    url: '/app-api/member/address/create',
    data
  })
}

// 更新收货地址
export const updateMallUserAddress = async (data) => {
  return request.put({
    url: '/app-api/member/address/update',
    data
  })
}